<?php

namespace App\Models;
class SettlementMiddleDetail extends BaseModel
{
    protected $table = "settlement_middle_detail";
    public $timestamps = false;

    public function getSettledatas($gametype, $matchid, $bettype)
    {
        $ret = [];
        $his = $this->where([
            'game_code' => $gametype,
            'match_id' => $matchid,
            'bet_type' => $bettype
        ])->get();

        if (count($his) > 0) {
            foreach ($his as $val) {
                $ret[$val->order_id] = $val;
            }
        }
        return $ret;
    }


}
